# Uses of Class
jdk.dynalink.SecureLookupSupplier

Packages that use SecureLookupSupplier
Package
Description
jdk.dynalink
Contains interfaces and classes that are used to link an `invokedynamic` call site.
jdk.dynalink.linker
Contains interfaces and classes needed by language runtimes to implement their own language-specific object models and type conversions.

## Uses of SecureLookupSupplier in jdk.dynalink

Subclasses of SecureLookupSupplier in jdk.dynalink
Modifier and Type
Class
Description
`class`
`CallSiteDescriptor`
Call site descriptors contain all the information necessary for linking a call site.

## Uses of SecureLookupSupplier in jdk.dynalink.linker

Methods in jdk.dynalink.linker with parameters of type SecureLookupSupplier
Modifier and Type
Method
Description
`<T> T`
LinkerServices.`getWithLookup(Supplier<T> operation, SecureLookupSupplier lookupSupplier)`
Executes an operation within the context of a particular `MethodHandles.Lookup` lookup object.